global_costmap:
  ros__parameters:
    update_frequency: 1.0
    publish_frequency: 1.0
    global_frame: map
    robot_base_frame: base_link
    robot_radius: 0.17
    resolution: 0.01
    track_unknown_space: false
    rolling_window: false
    plugins: ["static_layer", "inflation_layer"]
    static_layer:
      plugin: "nav2_costmap_2d::StaticLayer"
      map_subscribe_transient_local: True
    inflation_layer:
      plugin: "nav2_costmap_2d::InflationLayer"
      cost_scaling_factor: 3.0
      inflation_radius: 0.23
    always_send_full_costmap: True

lifecycle_manager:
  ros__parameters:
    autostart: true
    node_names: ['map_server', 'global_costmap']
